Subject: Re: The sad state of git.wiki.kernel.org

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Feb 2023 11:43:26 -0800

Konstantin Ryabitsev <[email-masked]> writes:

> Today, most information found on the wiki is probably outdated and therefore
> potentially harmful. I would like to solicit ideas what to do with this
> resource.
>
> # Should it be migrated to RTD-style docs?
>
> We have stopped providing new Mediawiki instances at kernel.org quite some
> time back, replacing the offering with Dokuwiki. Today, we don't spin up new
> Dokuwiki instances either and everyone is steered towards readthedocs-style
> documentation instead, which is a much more sane and manageable medium than
> wikis, especially when it comes to technical docs (see
> https://korg.docs.kernel.org/docs.html).
>
> However, it's unclear if this is even needed for this wiki, considering the
> existence of https://git-scm.com/doc.

I tend to agree with this point.  Presense on RTD is nice, but what
is left in git.wiki.k.o is not something I'd consider porting it
over; the contents of git-scm.com/ might be but that is off topic
here.

> # Should it be archived as a static site?
>
> It's possible to turn git.wiki.kernel.org into a static site with a large
> header on every page that it contains historical archival information, with a
> link to https://git-scm.com/doc

I do not know the size of regular traffic to the git.wiki.k.o; if
many people visit (on purpose or by mistake) there to warrant such a
redirection, then it is very much appreciated.  No current contents
with just "redirect in 5 seconds---please update your bookmark" may
be fine.

> # Should it be archived and put out of its misery?
>
> The last option is to just archive the site and put it out of its increasingly
> irrelevant existence.

Archiving so that people can retrieve the contents for whatever
reason may be needed no matter what other things are done, I would
imagine.

Thanks.